*-----------------------------------------------------------
* Program Number: 68030 Simple I/O TEST. Get keyboard character and display it.
* Tests reading an I/O port
* Programming a Wellon VP-280 with (GLS 29EE010 EEPROM).
* Assemble and make a S68 file (Project Menu for EASy68K)
* Load file as "normal" 
* For "From File Address(Hex) enter 0000
* For "Auto Format Detect" use Motorola S
*
* Written by    : John Monahan
* Date Created  : 10/01/2017
* Description   : Very basic of EPROM on 68030 S-100 board to test word write

	ORG	$00FC0000
   
TEST:	DC.L	$00008000	;SSP = 8000H
	DC.L	$00FC0008	;PC  = 00FC0008H  

	ORG	$00FC0008

	MOVE.L	#$FFFF0000,A0	;Point to hardware Console Status Port 00H (CRT, Propeller Console IO Board)
            MOVE.L	#$FFFF0001,A1           ;Data port
            
GETCHAR1:	MOVE.B	(A0),D5	;Get a keyboard character in D5
	AND.B	#$02,D5                 ;Check status
	TST.B	D5
	BEQ	GETCHAR1
	MOVE.B  (A1),D1	;Save ASCII in D1 from hardware port 01H
	
PUTCHAR1:	MOVE.B	(A0),D5	;Check CRT status is ready to recieve character
	AND.B	#$04,D5
	TST.B	D5
	BEQ	PUTCHAR1
	MOVE.B  D1,(A1)	;Output ASCII (in D1) to hardware port 01H

	BRA	GETCHAR1                ;Continous until reset
	
	END	TEST
	






















*~Font name~Courier New~
*~Font size~10~
*~Tab type~0~
*~Tab size~8~
