*-----------------------------------------------------------
* Program Number: 68030 Simple TEST (Test RAM Stack)
* Programming a Wellon VP-280 with 28C256 EEPROMS.
* Assemble and make a S68 file (Project Menu for EASy68K)
* Load file as "normal" 
* For "From File Address(Hex) enter FC0000
* For "Auto Format Detect" use Motorola S
*
* Written by    : John Monahan
* Date Created  : 10/1/2017
* Description   : Very basic test RAM R/W on 68030 S-100 board


	ORG	$00FC0000
   
TEST:	DC.L	$0000E000	;SSP = E000H  <- Move stack higher
	DC.L	$00FC0008	;PC = 8H   (Next byte)

	ORG	$00FC0008
	
	MOVE.L	#$FFFF0000,A0	;Point to hardware Console Status Port 00H (CRT, Propeller Console IO Board)
            MOVE.L	#$FFFF0001,A1           ;Data port
STK_TEST:            
            BSR	CRTIN	;Get a keyboard character
            BSR	CRTOUT	;Display the character (this checks RAM/stack)
            JMP	STK_TEST
            
	
CRTIN:	MOVE.B	(A0),D5	;Check CRT status is ready to recieve character
	AND.B	#$02,D5
	TST.B	D5
	BEQ	CRTIN
	MOVE.B  (A1),D4	;ASCII (in D4) from hardware port 01H
	RTS
	
CRTOUT:	MOVE.B	(A0),D5	;Check CRT status is ready to recieve character
	ANDI.B	#$04,D5
	TST.B	D5
	BEQ	CRTOUT
	MOVE.B  D4,(A1)	;Output ASCII (in D4) to hardware port 01H
	RTS                             ;Return from subroutine

	END	TEST
	



















*~Font name~Courier New~
*~Font size~10~
*~Tab type~0~
*~Tab size~8~
