*-----------------------------------------------------------
* Program Number: 68030 Simple TEST (Test Stack works)
* Programming a Wellon VP-280 with 28C256 EEPROMS.
* Assemble and make a S68 file (Project Menu for EASy68K)
* Load file as "normal" 
* For "From File Address(Hex) enter FC0000
* For "Auto Format Detect" use Motorola S
*
* Written by    : John Monahan
* Date Created  : 08/26/2017
* Description   : Very basic test EPROM on 68030 S-100 board


	ORG	$00FC0000
   
TEST:	DC.L	$0000E000	;SSP = E000H <---- May crash with stack overwrite
	DC.L	$00FC0008	;PC = 8H   (Next byte)

	ORG	$00FC0008
	
	MOVE.L	#$FFFF0000,A0	;Point to hardware Console Status Port 00H (CRT, Propeller Console IO Board)
            MOVE.L	#$FFFF0001,A1           ;Data port
            
            BSR	CRTIN	;Get a character to start test
            BSR	CRTOUT	;Display the character
            
	MOVE.L	#$00000000,A2	;Write to RAM and start after inputting any character from above
	MOVE.B  #$7E,D3	;Last ASCII printable character
FILL1:	MOVE.B	#$21,D1                 ;First ASCII printable character
FILL:       MOVE.B  D1,(A2)                 ;<<<<<<<<<<<<<<<<<<<<<
	ADD.B	#$1,D1
	MOVE.B  (A2)+,D4	;Read RAM byte put in D4

	BSR	CRTOUT

	CMP.B	D1,D3	;Have we done all printable characters.
	BEQ     FILL1
	JMP	FILL                    ;Continous until reset
	
CRTIN:	MOVE.B	(A0),D5	;Check CRT status is ready to recieve character
	AND.B	#$02,D5
	TST.B	D5
	BEQ	CRTIN
	MOVE.B  (A1),D4	;ASCII (in D4) to hardware port 01H
	RTS
	
	
CRTOUT:	MOVE.B	(A0),D5	;Check CRT status is ready to recieve character
	ANDI.B	#$04,D5
	TST.B	D5
	BEQ	CRTOUT
	MOVE.B  D4,(A1)	;Output ASCII (in D4) to hardware port 01H
	RTS                             ;Return from subroutine

	END	TEST
	

















*~Font name~Courier New~
*~Font size~10~
*~Tab type~0~
*~Tab size~8~
